InforMed_Direct
Contributor
Contributor

Error 25095 installing VMware Infrastructure Client

I installed VMware infrastructure client on my own PC and got the above error message at the end. I didn't think much of it as it appeared have actually installed. However, I've just tried installing on another Windows XP machine and I've got exactly the same error:

Error 25095: Setup failed to install VMware Virtual Infrastructure update.

This is version 2.5 downloaded relatively recently.

Any ideas?

Cheers, Rob.

0 Kudos
13 Replies
jgalexan
Enthusiast
Enthusiast

You did not mention where you obtained the install from.

On the client PC, pint your browser to http://<virtual center server>

Download the client directlly from your Virtual Center Server. This way you alway have a compatable client to work with VC.

0 Kudos
InforMed_Direct
Contributor
Contributor

That's a very good question but I'm surprised that it matters where it was download from. The version was probably downloaded from the evaluation Virtual Center we tried out. However, we're not using VC as it's overkill for us so we're talking directly to the ESX Server. I've just downloaded the client from the ESX Server web interface.

I was going to uninstall the old version but it's left the control panel in a real state and it won't uninstal as the MSI can't be found. Not good... Fortunately, I've been here before (new software causing problems) and I'd take an image of the PC before trying it...

Rob.

0 Kudos
InforMed_Direct
Contributor
Contributor

Rolled back PC, downloaded version from ESX Server web server and exactly the same problem. Doesn't seem to effect things too much but slightly worrying.

Rob.

0 Kudos
kjb007
Immortal
Immortal

The piece that is alerting is for VMware Update Manager, I believe. The feature requires VC 2.5, so it's no wonder it's not installing, even though the install should be smarter than that, and fail silently. Until you get VC 2.5 and install and configure the Update Manager service, this failure may be moot.

vExpert/VCP/VCAP vmwise.com / @vmwise -KjB
0 Kudos
dmadden
VMware Employee
VMware Employee

VMware Infrastructure Update is different than Update Manager. Infrastructure Update is installed by default when you install the VI Client. It's used for patching embedded esx servers.

Check your installer log files for more information. They should be located in your temp folder..... %temp%

0 Kudos
kjb007
Immortal
Immortal

You are correct. It is a "light" version of Update Manager, so to speak for 3i servers. I just found a reference to it in the 'Managing VMware ESX Server 3i' guide. It performs similar functions as update manager does, but for 3i embedded hosts.

If you're using ESX 3i, then you'll want to figure out why it's failing, if you want to patch your servers without VC.

Thanks,

-KjB

vExpert/VCP/VCAP vmwise.com / @vmwise -KjB
0 Kudos
srinivasaddagat
Contributor
Contributor

Hi,

Even i get same error. We have ESX 3.5 and i got the msi from my VC server which is running 2.5 with update manager running fine. Below are the details in my vminst.log file. If i say ok on the error screen, it proceed and could use VI Client without any issues but the version of VI Client is different to the version of my VC server when viewed from Help -> About menu. Any idea what need to be done here?

VMware VirtualCenter-build-84767: 05/27/08 12:26:34 Process returned 1603

VMware VirtualCenter-build-84767: 05/27/08 12:26:34 Update Service Client setup

returned error code <1603>.

VMware VirtualCenter-build-84767: 05/27/08 12:26:34 Posting error message 25095

VMware VirtualCenter-build-84767: 05/27/08 12:46:51 MsiProcessMessage returned:

1

VMware VirtualCenter-build-84767: 05/27/08 12:46:51 End Logging

Thanks

0 Kudos
kjb007
Immortal
Immortal

Have you tried manual install of the update manager plugin? You should be able to do that using the virtual center iso. Run the updateManager.exe and run manually from that exe to see if you run into any other issues.

-KjB

vExpert/VCP/VCAP vmwise.com / @vmwise -KjB
0 Kudos
LanceS
Contributor
Contributor

To add another piece to the puzzle, I have one workstation that is exhibiting the exact same behaviour. I have tried installing the version from the CD and the one downloaded from the VCMS. I've tried extracting the MSI and doing an admin install and they all fail . . . . on one workstation. Still working to identify what about this workstation is causing the install error. All prior versions have been uninstalled.

Lance

0 Kudos
InforMed_Direct
Contributor
Contributor

There does appear to be a problem installing VIC on some systems but the error doesn't appear to cause any problems. Later versions of VIC install package may have fixed it.

Rob.

0 Kudos
JWVMCS
Contributor
Contributor

I have the same error on a new server build 2003 std r2 with a local SQL 2005 install. It's so frustrating, I've tried VC2.5 r1 and r2 with exactly the same results :

vminst.log output:

VMware VirtualCenter-build-84782: 08/06/08 11:59:57 VC server setup returned error code &lt;1603&gt;.

VMware VirtualCenter-build-84782: 08/06/08 11:59:57 Posting error message 25036

VMware VirtualCenter-build-84782: 08/06/08 11:59:59 MsiProcessMessage returned: 1

VMware VirtualCenter-build-84782: 08/06/08 11:59:59 End Logging

I know my DB is fine as i've ran remote queries that have returned ok and the ODBC System DSN is good without any spaces in the name and &lt; 8 characters in length.

Anyone have an update?

Cheers

0 Kudos
Novinetz
Contributor
Contributor

I had same problem and fixed it trough REGEDIT.

Just make sure that registry key "\SOFTWARE\WMware, Inc.\" can be modified prior installation process. In my case it was not, so changed permissions and install went OK.

0 Kudos
VMSerco
Contributor
Contributor

Hi all,

recently we had the same problem and we found that our domain GPO was blocking our Infrastructure Update Client installation.

Relevant registry section:

Key:

HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer\

Value:

DisableUserInstalls

Set the value to 0 (zero) , remove the VI Client and reinstall all.

0 Kudos